﻿using System.Windows;
using System.Windows.Controls;
using Infragistics.Themes;

namespace TestThemes
{
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
      ThemeManager.ApplicationTheme = new Office2013Theme();
    }

    private void Button_Click(object sender, RoutedEventArgs e)
    {
      switch (((Button)sender).Content.ToString())
      {
        case "Metro":
          ThemeManager.ApplicationTheme = new MetroTheme();
          break;
        case "MetroDark":
          ThemeManager.ApplicationTheme = new MetroDarkTheme();
          break;
        case "Office2010Blue":
          ThemeManager.ApplicationTheme = new Office2010BlueTheme();
          break;
        case "IGTheme":
          ThemeManager.ApplicationTheme = new IgTheme();
          break;
        default:
          ThemeManager.ApplicationTheme = new Office2013Theme();
          break;
      }
    }
  }
}